Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Compute Cloud
  • Yandex Container Solution
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ListOperations
        • ListInstances
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Query parameters
  • Response
  • GpuCluster
  1. Справочник API
  2. REST (англ.)
  3. GpuCluster
  4. List

Compute Cloud API, REST: GpuCluster.List

Статья создана
Yandex Cloud
Обновлена 21 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Query parameters
  • Response
  • GpuCluster

Retrieves the list of GPU clusters in the specified folder.

HTTP requestHTTP request

GET https://compute.api.cloud.yandex.net/compute/v1/gpuClusters

Query parametersQuery parameters

Field

Description

folderId

string

ID of the folder to list GPU clusters in.
To get the folder ID, make a yandex.cloud.resourcemanager.v1.FolderService.List request.
The length must be less than or equal to 50.
This field is required.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListGpuClustersResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
The value must be less than or equal to 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListGpuClustersResponse.nextPageToken returned by a previous list request.
The length must be less than or equal to 100.

filter

string

A filter expression that filters GPU clusters listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on GpuCluster.name field.
  2. An operator. Can be either = or != for single values, IN or NOT IN for lists of values.
  3. The value. Must be 3-63 characters long and match the regular expression ^[a-z][-a-z0-9]{1,61}[a-z0-9].
    Example of a filter: name=my-schedule.
    The length must be less than or equal to 1000.

orderBy

string

A sorting expression that sorts GPU clusters listed in the response.
The expression must specify the field name from GpuCluster and ascending or descending order,
e.g. createdAt desc.
Default value: id asc.
The length must be less than or equal to 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "gpuClusters": [
    {
      "id": "string",
      "folderId": "string",
      "createdAt": "string",
      "name": "string",
      "description": "string",
      "labels": "object",
      "status": "string",
      "zoneId": "string",
      "interconnectType": "string",
      "subnets": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

gpuClusters[]

GpuCluster

List of GPU clusters in the specified folder.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListGpuClustersRequest.pageSize, use next_page_token as the value
for the ListGpuClustersRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

GpuClusterGpuCluster

A GPU cluster. For details about the concept, see documentation.

Field

Description

id

string

ID of GPU cluster.

folderId

string

ID of the folder that the GPU cluster belongs to.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the GPU cluster.
The name is unique within the folder.

description

string

Description of the GPU cluster.

labels

object (map<string, string>)

GPU cluster labels as key:value pairs.

status

enum (Status)

Status of the GPU cluster.

  • CREATING: GPU cluster is being created.
  • READY: GPU cluster is ready to use.
  • ERROR: GPU cluster encountered a problem and cannot operate.
  • DELETING: GPU cluster is being deleted.

zoneId

string

ID of the availability zone where the GPU cluster resides.

interconnectType

enum (GpuInterconnectType)

Type of interconnect used for this GPU cluster.

  • INFINIBAND: InfiniBand interconnect.

subnets

string (int64)

Number of subnets in the GPU cluster.

Была ли статья полезна?

Предыдущая
Get
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»